Summary:	X.org generic video modesetting driver
Summary(pl.UTF-8):	Ogólny sterownik obrazu X.org oparty na funkcji modesetting
Name:		xorg-driver-video-modesetting
Version:	0.9.0
Release:	3
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-modesetting-%{version}.tar.bz2
# Source0-md5:	da588d4f54111c2deae035998058ce10
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.4.46
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	udev-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.10
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel
%{?requires_xorg_xserver_videodrv}
Requires:	libdrm >= 2.4.46
Requires:	xorg-lib-libpciaccess >= 0.10
Requires:	xorg-xserver-server
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an X.org video driver for KMS devices. This is a
non-accelerated driver, the following framebuffer depths are
supported: 8, 15, 16, 24. All visual types are supported for depth 8,
and TrueColor visual is supported for the other depths.  RandR 1.2 is
supported.

%description -l pl.UTF-8
Ten pakiet zawiera ogólny sterownik obrazu X.org dla urządzeń
obsługiwanych przez KMS w jądrze Linuksa. Sterownik jest nie
akcelerowany, obsługiwane są następujące głębie framebuffera: 8, 15,
16, 24 bity na piksel. Dla 8 bitów obsługiwane są wszystkie rodzaje
ekranów, dla pozostałych TrueColor. RandR 1.2 też jest obsługiwany.

%prep
%setup -q -n xf86-video-modesetting-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/modesetting_drv.so
%{_mandir}/man4/modesetting.4*
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-modesetting.git;a=log;h=master

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 8bfba43
- xserver rebuild
- release 3 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a8f4e6
- xserver rebuild
- release 2 (by relup.sh)

* Fri Jun 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 33c8901
- updated to 0.9.0

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> f2409db
- release 2 (by relup.sh)

* Thu Dec 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 3759431
- updated to 0.8.1

* Thu Jun 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 48b3010
- updated to 0.8.0

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 30bff07
- updated to 0.7.0

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 402082b
- release 2 (by relup.sh)

* Wed Jan 09 2013 Jakub Bogusz <qboosh@pld-linux.org> cd50a78
- updated to 0.6.0

* Thu Sep 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 4e957b5
- updated to 0.5.0

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ea96721
- release 2 (by relup.sh)

* Sat Jun 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 87780c2
- updated to 0.4.0

* Sat Jun 02 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 226faa6
- release 2

* Thu May 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 78cf54b
- updated to 0.3.0

* Wed Feb 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 238d4d7
- new

